Redmine - Defect #4243

{{include}} macro mangles HTML entities in <pre> blocks
2009-11-19 03:42 - Chris Miller

Status: Closed Start date: 2009-11-19
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Wiki Estimated time: 0.00 hour
Target version:

Resolution: Cant reproduce Affected version: 0.8.6
Description

Use of the include macro garbles HTML entities (specifically < and > characters that | noticed).
Steps to repeat:

1) Create an wiki page (of awesomeness)

blah blah blah stuff about the page

<pre><code class="c">
FSLPoint p; FSLPoint o; o.x = 0; o.y = 0;
FSLPoint s; s.x = 7; s.y = 7;
for(p.x=0; p.x<8; ++p.x)
for(p.y=0; p.y<8; ++p.y)
board[FSLPointVectorize (&p, &o, &s)] = 0;
</code>

2) use the include macro to include that page from another page

{{include (mypage) }}
In the page that did the including, the < character shows up as &lsaquo; but on the original page it shows up just fine.

First observed at FSPoint_vectorizationGuide and FSPoint_vectorizeWithOrigin_size as well as FSLPoint_Vectorize.

| think the include macro is washing the page through the HTML entities engine one too many times, but | can't be sure.

History

#1 - 2009-12-08 15:43 - Oskar Nordquist

Does anyone have a fix for this? I'd really appreciate a quick and dirty hack that solves this problem.

#2 - 2010-04-01 15:08 - Mikhail Grinfeld

| have same issue:

| created template with

<pre>
<some xml>
</pre>

when | included it in other page, | found

&lt;some xmlé&gt;

| have redmine 0.9.2

#3 - 2010-07-15 20:08 - Alvaro Herrera
http://www.fsdev.net/wiki/lib/FSPoint_vectorizationGuide
http://www.fsdev.net/wiki/lib/FSPoint_vectorizeWithOrigin_size
http://www.fsdev.net/wiki/lib/FSLPoint_Vectorize

| have the same issue, though my problematic char of choice is & -- it gets escaped as &

#4 - 2011-12-19 13:35 - Etienne Massip

- Resolution set to Cant reproduce

Seems that it has been fixed, | can't reproduce?

#5 - 2011-12-20 05:22 - Mischa The Evil

Etienne Massip wrote:

Seems that it has been fixed, | can't reproduce?

Me neither...

#6 - 2011-12-20 08:56 - Etienne Massip

- Status changed from New to Closed
